Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.vo.prescrizioneriabilitativaset
Class PrescrizioneRiabilitativaSetRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.vo.prescrizioneriabilitativaset.PrescrizioneRiabilitativaSetRequest

    public class PrescrizioneRiabilitativaSetRequest

extends java.lang.Object

Classe di request del web service "SetPrescrizione Specialistica"

Author:
  SantovitoM

Field Summary
`private DatiAnagraficiAssistito` | `assistito` Dati anagrafici primari dell'assistito a cui è stata rilasciata la ricetta SSN su cui è indicata la prescrizione riabilitativa.
`private java.lang.String` | `codiceDiagnosi` Codice diagnosi ICDMC9.
`private java.lang.String` | `codiceStrutturaRiabilitativa` Codice della struttura ex art 26 L.883/78.
`private int` | `codTipoTrattamentoRiabilitativo` Tipologia di trattamento riabilitativo: 1 - Internato; 2 - Seminternato; 3 - Ambulatoriale; 4 - Domiciliare.
`private java.lang.String` | `dataErogazioneRicetta` Data in cui è stata erogata la ricetta
`private java.lang.String` | `dataPrenotazione` Data prenotazione della prescrizione riabilitativa nel caso di regime assistenziale Residenziale
`private java.lang.String` | `dataRegistrazioneRicetta` Data in cui è stata registrata nel sistema la ricetta
`private java.lang.String` | `dataRilascioRicetta` Data in cui è stata rilasciata la ricetta
`private java.lang.String` | `descMotivazionePrescrizione` Motivazione della prescrizione riabilitativa indicata sulla ricetta SSN
`private java.lang.String` | `frequenzaTemporale` Indica ogni quanti giorni deve essere erogata una prestazione riabiltativa a carattere continuativo indicata sulla ricetta, nel caso di regimi assistenziali Domiciliare, Ambulatoriale singolo o Ambulatoriale di gruppo.
`private java.lang.String` | `identificativoRicetta` Identificativo univoco della ricetta SSN su cui è indicata la prescrizione riabilitativa.
`private java.lang.String` | `numGGAssistenza` Indica il numero di giornate di assistenza richieste nel caso dei regimi assistenziali Semiresidenziale o Residenziale.
`private java.lang.String` | `numPrestazioniPrev` Indica il numero di prestazioni previste nel caso di regimi assistenziali Domiciliare, Ambulatoriale singolo o Ambulatoriale di gruppo.
`private java.lang.String` | `numProgressivoRicetta` Numero progressivo della ricetta.
`private ElencoPrestazioni` | `prestazioniRiabilitative` Le prestazioni riabilitative a carattere continuativo da erogare.

Constructor Summary
`PrescrizioneRiabilitativaSetRequest()`

Method Summary
`DatiAnagraficiAssistito` | `getAssistito()`
`java.lang.String` | `getCodiceDiagnosi()`
`java.lang.String` | `getCodiceStrutturaRiabilitativa()`
`int` | `getCodTipoTrattamentoRiabilitativo()`
`java.lang.String` | `getDataErogazioneRicetta()`
`java.lang.String` | `getDataPrenotazione()`
`java.lang.String` | `getDataRegistrazioneRicetta()`
`java.lang.String` | `getDataRilascioRicetta()`
`java.lang.String` | `getDescMotivazionePrescrizione()`
`java.lang.String` | `getFrequenzaTemporale()`
`java.lang.String` | `getIdentificativoRicetta()`
`java.lang.String` | `getNumGGAssistenza()`
`java.lang.String` | `getNumPrestazioniPrev()`
`java.lang.String` | `getNumProgressivoRicetta()`
`ElencoPrestazioni` | `getPrestazioniRiabilitative()`
`void` | `setAssistito(DatiAnagraficiAssistito assistito)`
`void` | `setCodiceDiagnosi(java.lang.String codiceDiagnosi)`
`void` | `setCodiceStrutturaRiabilitativa(java.lang.String codiceStrutturaRiabilitativa)`
`void` | `setCodTipoTrattamentoRiabilitativo(int codTIpoTrattamentoRiabilitativo)`
`void` | `setDataErogazioneRicetta(java.lang.String dataErogazioneRicetta)`
`void` | `setDataPrenotazione(java.lang.String dataPrenotazione)`
`void` | `setDataRegistrazioneRicetta(java.lang.String dataRegistrazioneRicetta)`
`void` | `setDataRilascioRicetta(java.lang.String dataRilascioRicetta)`
`void` | `setDescMotivazionePrescrizione(java.lang.String descMotivazionePrescrizione)`
`void` | `setFrequenzaTemporale(java.lang.String frequenzaTemporale)`
`void` | `setIdentificativoRicetta(java.lang.String identificativoRicetta)`
`void` | `setNumGGAssistenza(java.lang.String numGGAssistenza)`
`void` | `setNumPrestazioniPrev(java.lang.String numPrestazioniPrev)`
`void` | `setNumProgressivoRicetta(java.lang.String numProgressivoRicetta)`
`void` | `setPrestazioniRiabilitative(ElencoPrestazioni prestazioniRiabilitative)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identificativoRicetta

    @MinOccurs(value=1L)
    @Facets(length=15L)
    private java.lang.String identificativoRicetta

  Identificativo univoco della ricetta SSN su cui è indicata la prescrizione riabilitativa.

### numProgressivoRicetta

    @Facets(pattern="[0-9]*")
    private java.lang.String numProgressivoRicetta

  Numero progressivo della ricetta. Facoltativo.

### dataRilascioRicetta

    @MinOccurs(value=1L)
    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    private java.lang.String dataRilascioRicetta

  Data in cui è stata rilasciata la ricetta

### dataErogazioneRicetta

    @MinOccurs(value=1L)
    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    private java.lang.String dataErogazioneRicetta

  Data in cui è stata erogata la ricetta

### dataRegistrazioneRicetta

    @MinOccurs(value=1L)
    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    private java.lang.String dataRegistrazioneRicetta

  Data in cui è stata registrata nel sistema la ricetta

### codiceStrutturaRiabilitativa

    @MinOccurs(value=0L)
    private java.lang.String codiceStrutturaRiabilitativa

  Codice della struttura ex art 26 L.883/78. Si tratta di un codice con caratteri numerici di lunghezza pari a 6

### assistito

    @MinOccurs(value=1L)
    private DatiAnagraficiAssistito assistito

  Dati anagrafici primari dell'assistito a cui è stata rilasciata la ricetta SSN su cui è indicata la prescrizione riabilitativa.

### descMotivazionePrescrizione

    @MinOccurs(value=1L)
    @Facets(maxLength=250L)
    private java.lang.String descMotivazionePrescrizione

  Motivazione della prescrizione riabilitativa indicata sulla ricetta SSN

### codTipoTrattamentoRiabilitativo

    @MinOccurs(value=1L)
    @Facets(enumeration={"1","2","3","4"})
    private int codTipoTrattamentoRiabilitativo

  Tipologia di trattamento riabilitativo: 1 - Internato; 2 - Seminternato; 3 - Ambulatoriale; 4 - Domiciliare.

### frequenzaTemporale

    @Facets(pattern="[0-9]*")
    private java.lang.String frequenzaTemporale

  Indica ogni quanti giorni deve essere erogata una prestazione riabiltativa a carattere continuativo indicata sulla ricetta, nel caso di regimi assistenziali Domiciliare, Ambulatoriale singolo o Ambulatoriale di gruppo.

### numPrestazioniPrev

    @Facets(pattern="[0-9]*")
    private java.lang.String numPrestazioniPrev

  Indica il numero di prestazioni previste nel caso di regimi assistenziali Domiciliare, Ambulatoriale singolo o Ambulatoriale di gruppo.

### numGGAssistenza

    @Facets(pattern="[0-9]*")
    private java.lang.String numGGAssistenza

  Indica il numero di giornate di assistenza richieste nel caso dei regimi assistenziali Semiresidenziale o Residenziale.

### dataPrenotazione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataPrenotazione

  Data prenotazione della prescrizione riabilitativa nel caso di regime assistenziale Residenziale

### codiceDiagnosi

    @MinOccurs(value=1L)
    @Facets(maxLength=5L)
    private java.lang.String codiceDiagnosi

  Codice diagnosi ICDMC9.

### prestazioniRiabilitative

    @MinOccurs(value=1L)
    private ElencoPrestazioni prestazioniRiabilitative

  Le prestazioni riabilitative a carattere continuativo da erogare.

Constructor Detail

### PrescrizioneRiabilitativaSetRequest

    public PrescrizioneRiabilitativaSetRequest()

Method Detail

### getIdentificativoRicetta

    public java.lang.String getIdentificativoRicetta()

### setIdentificativoRicetta

    public void setIdentificativoRicetta(java.lang.String identificativoRicetta)

### getNumProgressivoRicetta

    public java.lang.String getNumProgressivoRicetta()

### setNumProgressivoRicetta

    public void setNumProgressivoRicetta(java.lang.String numProgressivoRicetta)

### getDataRilascioRicetta

    public java.lang.String getDataRilascioRicetta()

### setDataRilascioRicetta

    public void setDataRilascioRicetta(java.lang.String dataRilascioRicetta)

### getDataErogazioneRicetta

    public java.lang.String getDataErogazioneRicetta()

### setDataErogazioneRicetta

    public void setDataErogazioneRicetta(java.lang.String dataErogazioneRicetta)

### getDataRegistrazioneRicetta

    public java.lang.String getDataRegistrazioneRicetta()

### setDataRegistrazioneRicetta

    public void setDataRegistrazioneRicetta(java.lang.String dataRegistrazioneRicetta)

### getCodiceStrutturaRiabilitativa

    public java.lang.String getCodiceStrutturaRiabilitativa()

### setCodiceStrutturaRiabilitativa

    public void setCodiceStrutturaRiabilitativa(java.lang.String codiceStrutturaRiabilitativa)

### getAssistito

    public DatiAnagraficiAssistito getAssistito()

### setAssistito

    public void setAssistito(DatiAnagraficiAssistito assistito)

### getDescMotivazionePrescrizione

    public java.lang.String getDescMotivazionePrescrizione()

### setDescMotivazionePrescrizione

    public void setDescMotivazionePrescrizione(java.lang.String descMotivazionePrescrizione)

### getCodTipoTrattamentoRiabilitativo

    public int getCodTipoTrattamentoRiabilitativo()

### setCodTipoTrattamentoRiabilitativo

    public void setCodTipoTrattamentoRiabilitativo(int codTIpoTrattamentoRiabilitativo)

### getCodiceDiagnosi

    public java.lang.String getCodiceDiagnosi()

### setCodiceDiagnosi

    public void setCodiceDiagnosi(java.lang.String codiceDiagnosi)

### getPrestazioniRiabilitative

    public ElencoPrestazioni getPrestazioniRiabilitative()

### setPrestazioniRiabilitative

    public void setPrestazioniRiabilitative(ElencoPrestazioni prestazioniRiabilitative)

### setFrequenzaTemporale

    public void setFrequenzaTemporale(java.lang.String frequenzaTemporale)

### getFrequenzaTemporale

    public java.lang.String getFrequenzaTemporale()

### setNumPrestazioniPrev

    public void setNumPrestazioniPrev(java.lang.String numPrestazioniPrev)

### getNumPrestazioniPrev

    public java.lang.String getNumPrestazioniPrev()

### setNumGGAssistenza

    public void setNumGGAssistenza(java.lang.String numGGAssistenza)

### getNumGGAssistenza

    public java.lang.String getNumGGAssistenza()

### getDataPrenotazione

    public java.lang.String getDataPrenotazione()

### setDataPrenotazione

    public void setDataPrenotazione(java.lang.String dataPrenotazione)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD